#define __LIBRARY__
#include <stdio.h>
#include <string.h>
#include <qdos.h>
#include <sys/socket.h>
#include "qsockets.h"
#include <errno.h>
#include <fcntl.h>


int accept(int s, struct sockaddr *addr, int *addrlen)
{
    int ch;
    int fd = -1;

    s = getchid(s);
    do
    {
        if((ch = io_open("sck_", s)) > 0)
        {
            if((fd = _socket_fd(ch, "sck_")) >= 0)
            {
                getpeername(fd, addr, addrlen);
            }
            else io_close(ch);
        }
    } while (fd == -1 && ch == ERR_NC);

    return fd;
}
