#include <stdio.h>
#include <string.h>
#include <qdos.h>
#include <sys/socket.h>
#include "qsockets.h"
#include <errno.h>


int gethostname (char *name, size_t len)
{
    REGS_t in,out;
    int res;
    int ch;
    if((ch = io_open("sck_",0)) > 0)
    {
        in.D0 = IP_GETHOSTNAME;
        in.D2 = len;
        in.D3 = -1;
        in.A0 = (addreg_t)ch;
        in.A1 = name;
        res = neterrno(in.A0, qdos3(&in, &out));
        io_close(ch);
    }
    else
    {
        res = -1;
        errno = EINVAL;
    }
    
    return res;
}

