#include <stdio.h>
#include <string.h>
#include <qdos.h>
#include <sys/socket.h>
#include "qsockets.h"
#include <errno.h>

struct netent   *getnetbyaddr(int net, int type)
{
    static char h[DBUFSIZE];
    struct netent *ptr = NULL;
    REGS_t in,out;
    int res;
    int ch;

    if((ch = io_open("sck_", 0)) > 0)
    {
        in.D0 = IP_GETNETBYADDR;
        in.A0 = (addreg_t)ch;
        in.A2 = (addreg_t)h;
        in.D1 = net;
        in.D2 = type;
        in.D3 = -1;
        res = neterrno(in.A0, qdos3(&in, &out));
        ptr = (res < 0) ? NULL : h;
        io_close(ch);
    }
    else
    {
        errno = EINVAL;
        ptr = NULL;
    }
    
    return ptr;
}
