#define __LIBRARY__
#include <stdio.h>
#include <string.h>
#include <qdos.h>
#include <sys/socket.h>
#include "qsockets.h"
#include <errno.h>
#include <fcntl.h>

int getsockname(int s, struct sockaddr *name, int *namelen)
{
    REGS_t in,out;
    int res;

    CHECK_SOCKET(s);
    
    in.D0 = IP_GETSOCKNAME;
    in.D2 = *namelen;
    in.D3 = -1;
    in.A0 = (addreg_t)getchid(s);
    in.A1 = (addreg_t)name;
    if((res = neterrno(in.A0, qdos3(&in, &out))) == 0)
    {
        *namelen = out.D1;
    }
    return res;
}
