#include <errno.h>
#include <sys/types.h>
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>

#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <arpa/inet.h>
#include <qdos.h>

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif


int main (int ac, char **av)
{
    struct sockaddr_in name;
    struct hostent *h;
    struct servent *servent;
    int sock, n, fd, retval;
    char buf[BUFSIZ];
    char *host;
    

    if(ac == 2)
        host = *(av+1);
    else
        host = "localhost";
    
    if ((sock = socket (AF_INET, SOCK_STREAM, 0)) == -1)
    {
	perror ("socket");
	exit (EXIT_FAILURE);
    }

    if ((h = gethostbyname (host)) == NULL)
    {
	perror ("gethostbyname");
        exit(0);
    }

    if((servent = getservbyname("daytime", "tcp")) == NULL)
    {
	perror ("getservbyname");
        exit(0);
    }
    printf("port %s %d\n",  servent->s_name, servent->s_port);
    
    name.sin_family = h->h_addrtype;
    name.sin_port = htons(13); /*servent->s_port */;
    name.sin_addr = *((struct in_addr *) h->h_addr);

    printf("port %s %d %d\n",  servent->s_name, servent->s_port,name.sin_port);
    retval = connect (sock, (struct sockaddr *) &name, sizeof (name));
    if (retval)
    {
	perror ("connect");
        exit(0);
    }

    {
	int val, vsiz = 4;
        FILE *fp;
        
	getsockopt(sock, SOL_SOCKET, SO_SNDBUF, &val, &vsiz);
	printf("size %d\n", val);
        if((fp = fdopen(sock, "w+")))
        {
            fgets(buf, sizeof(buf), fp);
/*
            char *p,c,buf[64];
            p = buf;
            
            while((c = fgetc(fp)) != EOF)
            {
                *p = c;
                if(*p == '\n')
                {
                    *p = 0;
                    break;
                }
                p++;
                
            }
            printf("lastc = %d\n", c);
            */            
            puts(buf);
        }
    }
    return 0;
}

